petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSFDuplicate

duplicate a PetscSF, optionally preserving rank connectivity and graph

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFDuplicate(PetscSF sf,PetscSFDuplicateOption opt,PetscSF *newsf)

Collective Many br

### Input Arguments

| sf | - communication object to duplicate Many br
| opt | - PETSCSF_DUPLICATE_CONFONLY, PETSCSF_DUPLICATE_RANKS, or PETSCSF_DUPLICATE_GRAPH (see PetscSFDuplicateOption) Many br

### Output Arguments

newsf -new communication object Many br

Many br

### See Also

PetscSFCreate(), PetscSFSetType(), PetscSFSetGraph()

Level:beginner
Location:src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages